Delete emailAuthenticationMethod

Namespace: microsoft.graph

Important

APIs under the /beta version in Microsoft Graph are subject to change. Use of these APIs in production applications is not supported. To determine whether an API is available in v1.0, use the Version selector.

Deletes a user's email Authentication Method object.

Permissions

One of the following permissions is required to call this API. To learn more, including how to choose permissions, see Permissions.

Permission type Permissions (from least to most privileged)
Delegated (work or school account) UserAuthenticationMethod.ReadWrite
Delegated (personal Microsoft account) Not supported.
Application Not supported.

Permissions acting on other users

Permission type Permissions (from least to most privileged)
Delegated (work or school account) UserAuthenticationMethod.ReadWrite.All
Delegated (personal Microsoft account) Not supported.
Application UserAuthenticationMethod.ReadWrite.All

For delegated scenarios where an admin is acting on another user, the admin needs one of the following Azure AD roles:

  • Global administrator
  • Privileged authentication administrator
  • Authentication admin

HTTP request

DELETE /users/{id | userPrincipalName}/authentication/emailMethods/{id}

Request headers

Name Description
Authorization Bearer {token}. Required.

Request body

Do not supply a request body for this method.

Response

If successful, this method returns a 204 No Content response code. It does not return anything in the response body.

Examples

Request

DELETE https://graph.microsoft.com/beta/users/kim@contoso.com/authentication/emailMethods/3ddfcfc8-9383-446f-83cc-3ab9be4be18f

Response

The following is an example of the response.

HTTP/1.1 204 No Content